package com.reptileclient.jlifeapp.entity.qg;

import java.util.Date;

public class JzOrderQg {

    /**
     * 勤鸽购买者ID
     */
    private String buyerId;

    private Integer id;

    private String orderSn;

    private String goods;

    private String city;

    private String orderLabel;

    private Date payTime;

    private String userName;

    private String userPhone;

    private String address;

    private String userBookTime;

    private String realBookTime;

    private String servantName;

    private String orderCreateTime;

    private Short status;

    private String memo;

    private Integer createUser;

    private Date createTime;

    private Integer updateUser;

    private Date updateTime;

    private String outOrderStatusCode;

    private String outOrderStatusCodeValue;

    private String outId;

    private String shopName;

    private Integer workOrderNumber;

    private String assignTime;
    private String gmtIdentify;

    public String getGmtIdentify() {
        return gmtIdentify;
    }

    public void setGmtIdentify(String gmtIdentify) {
        this.gmtIdentify = gmtIdentify;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getOrderSn() {
        return orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn == null ? null : orderSn.trim();
    }

    public String getGoods() {
        return goods;
    }

    public void setGoods(String goods) {
        this.goods = goods == null ? null : goods.trim();
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city == null ? null : city.trim();
    }

    public String getOrderLabel() {
        return orderLabel;
    }

    public void setOrderLabel(String orderLabel) {
        this.orderLabel = orderLabel == null ? null : orderLabel.trim();
    }

    public Date getPayTime() {
        return payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName == null ? null : userName.trim();
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone == null ? null : userPhone.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getUserBookTime() {
        return userBookTime;
    }

    public void setUserBookTime(String userBookTime) {
        this.userBookTime = userBookTime == null ? null : userBookTime.trim();
    }

    public String getRealBookTime() {
        return realBookTime;
    }

    public void setRealBookTime(String realBookTime) {
        this.realBookTime = realBookTime == null ? null : realBookTime.trim();
    }

    public String getServantName() {
        return servantName;
    }

    public void setServantName(String servantName) {
        this.servantName = servantName == null ? null : servantName.trim();
    }

    public String getOrderCreateTime() {
        return orderCreateTime;
    }

    public void setOrderCreateTime(String orderCreateTime) {
        this.orderCreateTime = orderCreateTime == null ? null : orderCreateTime.trim();
    }

    public Short getStatus() {
        return status;
    }

    public void setStatus(Short status) {
        this.status = status;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public Integer getCreateUser() {
        return createUser;
    }

    public void setCreateUser(Integer createUser) {
        this.createUser = createUser;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getUpdateUser() {
        return updateUser;
    }

    public void setUpdateUser(Integer updateUser) {
        this.updateUser = updateUser;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getOutOrderStatusCode() {
        return outOrderStatusCode;
    }

    public void setOutOrderStatusCode(String outOrderStatusCode) {
        this.outOrderStatusCode = outOrderStatusCode == null ? null : outOrderStatusCode.trim();
    }

    public String getOutOrderStatusCodeValue() {
        return outOrderStatusCodeValue;
    }

    public void setOutOrderStatusCodeValue(String outOrderStatusCodeValue) {
        this.outOrderStatusCodeValue = outOrderStatusCodeValue == null ? null : outOrderStatusCodeValue.trim();
    }

    public String getOutId() {
        return outId;
    }

    public void setOutId(String outId) {
        this.outId = outId == null ? null : outId.trim();
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName == null ? null : shopName.trim();
    }

    public Integer getWorkOrderNumber() {
        return workOrderNumber;
    }

    public void setWorkOrderNumber(Integer workOrderNumber) {
        this.workOrderNumber = workOrderNumber;
    }

    public String getAssignTime() {
        return assignTime;
    }

    public void setAssignTime(String assignTime) {
        this.assignTime = assignTime == null ? null : assignTime.trim();
    }

    public String getBuyerId() {
        return buyerId;
    }

    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

}
